/*
 * condReg.h
 *
 *  Created on: Nov 4, 2015
 *      Author: heso
 */

#ifndef CONDREG_H_
#define CONDREG_H_

typedef enum {rT0, rT1, rT2, rT3} condReg_t;
//	,nT0, nT1, nT2, nT3, //not x
//	T0aT1, T0aT2, T0aT3, T1aT2, T1aT3, T2aT3, //x and y
//	nT0aT1, nT0aT2, nT0aT3, nT1aT2, nT1aT3, nT2aT3, //!x and y
//	T0anT1, T0anT2, T0anT3, T1anT2, T1anT3, T2anT3, //x and !y
//	T0oT1, T0oT2, T0oT3, T1oT2, T1oT3, T2oT3, //x or y
//	nT0oT1, nT0oT2, nT0oT3, nT1oT2, nT1oT3, nT2oT3, //x or y
//	T0onT1, T0onT2, T0onT3, T1onT2, T1onT3, T2onT3 //x or y


extern unsigned int condReg[4];

#define T0 condReg[0]
#define T1 condReg[1]
#define T2 condReg[2]
#define T3 condReg[3]


unsigned int condRegRead(unsigned int bit);
void condRegWrite(unsigned int bit, unsigned int boolean);
void condRegReset(void);

#endif /* CONDREG_H_ */
