/*
 * glob.c
 *
 *  Created on: Oct 20, 2015
 *      Author: heso
 */


#include "glob.h"
#include "report.h"
#include "vcd.h"
#include "ioMap.h"
#include "regFile.h"
//#include "hex.h"

void initSim(char const* testName)
{
	vcdInit(testName);
	reportInit(testName);
	//hexInit();
}

void closeSim(void)
{
	vcdClose();
	reportClose();
	//hexClose();
}

void resetSim(void)
{
	ioMapReset();
	regFileReset();
	reportReset();
	vcdReset();
}
