/*
 * condReg.c
 *
 *  Created on: Nov 4, 2015
 *      Author: heso
 */

#include "condReg.h"
#include "vcd.h" //glob.h included
#include <stdio.h>
#include <string.h>

unsigned int condReg[4] = {0,0,0,0};

unsigned int condRegRead(unsigned int bit)
{
	return condReg[bit];
}
void condRegWrite(unsigned int bit, unsigned int boolean)
{
	if(bit < 4)
	{
		if(boolean == 0 || boolean == 1)
		{
			condReg[bit] = boolean;
		}
		else
			fprintf(stderr, "condRegWrite: Boolean = %d is not a boolean.", boolean);
	}
	else
		fprintf(stderr, "condRegWrite: bit %d does not exist.", bit);
}
void condRegReset(void)
{
	memset(condReg, 0, sizeof(condReg));
}
