/*
 * vcd.h
 *
 *  Created on: Oct 8, 2015
 *      Author: heso
 */

#ifndef VCD_H_
#define VCD_H_

#include "glob.h"

char *int2Bins(int val, char *buffer, int bufSize);
void vcdInit(char const* testName);
void vcdIo(io_t padCtrl, unsigned int value);
void vcdIn(unsigned int value);
void vcdWait(unsigned int value);
void vcdWaitCycle(void);
void vcdClose(void);
void vcdReg(unsigned int reg, unsigned int value);
void vcdOutReg(unsigned int value);
void vcdInReg(unsigned int value);
void vcdStartTimer(unsigned int value);
void vcdWaitTimer(void);
void vcdReset(void);
void vcdPipeFlush(void);

#endif /* VCD_H_ */
